import './assets/css/main.css'

import { createApp } from 'vue'
import App from './App.vue'
import router, { loadDynamicPages } from './router'
import { createPinia } from 'pinia'
// i18n
import { i18n } from "./i18n";
import VueCountdown from '@chenfengyuan/vue-countdown';

const pinia = createPinia()
const app = createApp(App)
console.log("App.vue")
app.use(pinia)
   .use(i18n)

await loadDynamicPages(localStorage.getItem('lang') || 'de')
app.use(router)
app.component(VueCountdown.name!, VueCountdown)
   
app.mount('#app')
